# CreatePurchaseOrder

Allows you to add purchase orders. To learn more about purchase orders in Xero visit the [Xero Business Help Centre](https://help.xero.com/int/PurchaseOrders).

### Properties <a href="#properties" id="properties"></a>

**Authentication**

Authentication values used to connect to the Xero server.

**PurchaseOrder**

Purchase order to create.

Mandatory fields:

* **Contact:** You need to provide the ContactID or ContactNumber of an existing contact. For more information on creating contacts see CreateContact.
* **LineItems:** The LineItems collection can contain any number of individual LineItem sub-elements. At least one LineItem is required to create a complete PurchaseOrder.

### Output <a href="#output" id="output"></a>

**PurchaseOrder**

The purchase order created.

### Links <a href="#links" id="links"></a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/purchaseorders/createpurchaseorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
